Page MenuHomePhabricator

Split Bali script locale from "ban" (Balinese)
Closed, ResolvedPublic

Description

The "ban" (Balinese) locale https://translatewiki.net/wiki/Portal:Ban is officially in Bali script, but in practice nearly all messages are in Latin script and most of the articles on ban.wikipedia too.

We don't yet have any serious amount of editors on Wikimedia wikis using the Bali script, but we may want to host Bali script works on Wikisource, which is best done with the correct content language code.

So we have two options:

  1. codify the status quo: decide that "ban" is Latin-only and Bali script doesn't fit in it;
  2. allow both scripts: create ban-Latn and ban-Bali; move all messages to ban-Latn; make ban "redirect" to ban-Latn; at some point replace the outdated language code on Wikimedia configuration.

I'd go for (2), although it's a bit of a hassle.

(Cc MF-W for LangCom FYI.)

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 16 2020, 10:22 AM

Change 618617 had a related patch set uploaded (by David Kamholz; owner: David Kamholz):
[mediawiki/core@master] Add ban-bali to list of known language codes, so it can be used as a page language.

https://gerrit.wikimedia.org/r/618617

kamholz added a subscriber: kamholz.Aug 6 2020, 1:43 AM

I've now had a chance to discuss this with Joseagush, one of the main coordinators Balinese Wikipedia. His strong preference is for option 1: ban should be Latin-only and ban-bali should be for Balinese script. His argument is that most Balinese language online is in Latin script, and most Balinese people expect Latin and may not be comfortable with Balinese script. Another advantage is that this maintains compatibility with the coding used on ban.wikipedia.org, so that work on Balinese Wikisource (which will contain a good amount of Balinese script) will not unnecessarily interfere with existing Balinese content on Wikimedia. (Incidentally, this also seems to be how Javanese works: jv is Latin script and jv-java is Javanese script.)

I've just submitted a patch to MediaWiki Core to add ban-bali with a name to Names.php, so that it can be used as a page content language and UniversalLanguageSelector can apply the correct fonts. It would be great to get this merged since we'll need it for the ongoing Wikisource work!

Option 1 means we don't do any Bali script. To have both scripts, one of which default, we do as said in option 2. A recent minimal example is b39b3944dc8.

The languages need to be configured properly and we'll also need to move the messages to the locale with their real script.

Option 1 means we don't do any Bali script. To have both scripts, one of which default, we do as said in option 2. A recent minimal example is b39b3944dc8.

The languages need to be configured properly and we'll also need to move the messages to the locale with their real script.

OK, I understand better now what option 2 entails -- you can redirect ban to ban-latn, which means it wouldn't cause any disruption for the administrators of ban.wikipedia.org, templates they use, etc.? That's their main concern that they've expressed to me.

My main concern, for the Balinese palm-leaf manuscript work, is the ability to choose ban-bali as a page language. We definitely need Balinese script for that, which just involves adding a line to Names.php. Is it OK to add that now without worrying about the locale stuff yet? No one is currently waiting for messages in Balinese script but we need to support it as a page language.

jhsoby added a subscriber: jhsoby.Aug 7 2020, 10:07 AM

I've just uploaded a new patchset that splits out ban-latn. There are now three codes:

  • ban: multiple scripts, defailts to ban-latn
  • ban-latn
  • ban-bali: falls back to ban-latn

Does this seem reasonable? It's important not to disrupt anything for users and admins of ban.wikipedia.org. Currently they have everything set to ban -- will that continue to work? They've made clear to me that the default should be Latin script.

Any chance we can get this merged soon?

Change 618617 merged by jenkins-bot:
[mediawiki/core@master] Add ban-bali to list of known language codes

https://gerrit.wikimedia.org/r/618617

Nemo_bis triaged this task as Medium priority.Aug 31 2020, 2:53 PM

Remember to update https://translatewiki.net/wiki/Portal:Ban when this is synced.

Change 630409 had a related patch set uploaded (by MarcoAurelio; owner: MarcoAurelio):
[mediawiki/core@master] RELEASE-NOTES: Update with missing languages since REL1_35

https://gerrit.wikimedia.org/r/630409

Change 630409 abandoned by MarcoAurelio:
[mediawiki/core@master] RELEASE-NOTES: Update with missing languages since REL1_35

Reason:
Creating a dependency.

https://gerrit.wikimedia.org/r/630409

Change 630411 had a related patch set uploaded (by MarcoAurelio; owner: MarcoAurelio):
[mediawiki/core@master] RELEASE-NOTES: Update with missing languages since REL1_35

https://gerrit.wikimedia.org/r/630411

Change 630411 merged by jenkins-bot:
[mediawiki/core@master] RELEASE-NOTES: Update with missing languages since REL1_35

https://gerrit.wikimedia.org/r/630411

@kamholz: All patches merged. Is there more to do in this task?
If not, could you please set the status of this task to "Resolved" via the Add Action...Change Status dropdown? Thanks in advance!

Raymond closed this task as Resolved.Nov 3 2020, 7:21 PM
Raymond claimed this task.